Slo-Tech

» »

Izšlo Linuxovo jedro 4.1

Izšlo Linuxovo jedro 4.1

LKML - Izšla je nova verzija Linuxovega jedra, ki nosi oznako 4.1, potem ko v osmem kandidatu za izid (4.1-rc8) niso našli večjih napak. Najbolj neučani lahko jedro snamejo z interneta in si ga prevedejo sami, večina pa bo bržkone počakala, da ga vključijo v popularne distribucije. Ubuntu ga bo na primer že imel (v bistvu najnovejšo podverzijo 4.1.x) v oktobrski izdaji 15.10 Wily Werewolf.

Kot običajno, je popravkov, dodatkov in nadgradenj v novem jedru precej. Med pomembnejše novosti sodijo izboljšanje upravljanje z energijo, saj pozna podrobnosti arhitektur Intel Cherry Trail on Bay Trail ter na primer Intel Compute Stick. V ekstremnih primerih naj bi prenosne naprave zdržale do uro dlje, realno pa bodo pridobitve manj občutne. EXT4 je dobil podporo za šifriranje na nivoju datotečnega sistema, na področju strojne opreme pa je podprtih precej novih naprav oziroma so popravili gonilnike za nekater že vključene.

13 komentarjev

filip007 ::

Sem ravnokar naložil Mageio, za spremembo deluje vse.
#Plejstejšon.

MrStein ::

A ni 4.1.0 ?
So upostili zadnjo cifro?

Sicer gledam prejšnje in ni nekega pravila.

3.1 ne obstaja, niti 3.1.0 , "le" 3.1.1
3.2 in 3.2.0 tudi ne, spet je 3.2.1
3.3* isto...
Motiti se je človeško.
Motiti se pogosto je neumno.
Vztrajati pri zmoti je... oh, pozdravljen!

smihael ::

MrStein je izjavil:

A ni 4.1.0 ?
So upostili zadnjo cifro?

Sicer gledam prejšnje in ni nekega pravila.

3.1 ne obstaja, niti 3.1.0 , "le" 3.1.1
3.2 in 3.2.0 tudi ne, spet je 3.2.1
3.3* isto...


Ja naslednja verzija bo 4.2.

Linus se je odlocil da hoce it po isti poti kot Chrome in Mozilla.. Kmalu se lahko nadejamo verzije 23.1
https://slo-tech.com/novice/t637025

Testman42 ::

Total world domination proceeding as planned
(\__/) This is Bunny. Copy and paste bunny
(='.'=) into your signature to help him gain
(")_(") world domination.

čuhalev ::

A kdo ve, čemu še vedno ponujajo 3.18.*?

Sprašujem, ker mi gosti na KVM delajo z jedrom 3.18.*, s 3.19.* (katerega so že ukinili) in s 4.* pa se mi ne zaženejo. :8)

carota ::

čuhalev je izjavil:

A kdo ve, čemu še vedno ponujajo 3.18.*?

Sprašujem, ker mi gosti na KVM delajo z jedrom 3.18.*, s 3.19.* (katerega so že ukinili) in s 4.* pa se mi ne zaženejo. :8)

3.18 je LTS.

čuhalev ::

Aha. Včeraj sem si prevedel 4.1 za desktop in po prijavi dobim: setgid: Function not implemented. Zjutraj sem si prevedel 3.19.0 in napake ni. Sedaj pa z bisekcijo iščem, vendar bisekcija v takšnih prepletenih verzijah ni ravno dobra.

Dodatek: 4.0.6 nima pomanjkljivosti.

Toliko o nujnosti izida in preverjanju napak.

Zgodovina sprememb…

  • spremenil: čuhalev ()

filipk ::

filip007 je izjavil:

Sem ravnokar naložil Mageio, za spremembo deluje vse.

Fino. Enako :D. A Mageia 5 uporablja jedro 3.19.

win64 ::

čuhalev je izjavil:

Aha. Včeraj sem si prevedel 4.1 za desktop in po prijavi dobim: setgid: Function not implemented. Zjutraj sem si prevedel 3.19.0 in napake ni. Sedaj pa z bisekcijo iščem, vendar bisekcija v takšnih prepletenih verzijah ni ravno dobra.

Dodatek: 4.0.6 nima pomanjkljivosti.

Toliko o nujnosti izida in preverjanju napak.


Kot je nekdo omenjal v temi od windowsov. Sam Linus se križa, ker distribucije toliko spreminjajo API-je(user space). To je na prvi pogled primer tega.
Link: https://slo-tech.com/forum/t646564/p481...

diuriz ::

čuhalev je izjavil:

Aha. Včeraj sem si prevedel 4.1 za desktop in po prijavi dobim: setgid: Function not implemented. Zjutraj sem si prevedel 3.19.0 in napake ni. Sedaj pa z bisekcijo iščem, vendar bisekcija v takšnih prepletenih verzijah ni ravno dobra.

Dodatek: 4.0.6 nima pomanjkljivosti.

Toliko o nujnosti izida in preverjanju napak.


Jaakaa, 4.1 je dodal v kernel config novo opcijo noter, ki omogoča da se lahko podpora za UID/GUID >0 popolnoma izklopi/omogoči. Če se to izklopi, tudi ne compila funkcije za te zadeve, ena od teh je setgid.

Za enkrat nimam pri roki svoje .config datoteke, ampak sem prepričan da se je izklopilo opcijo za non root idje med oldconfig operacijo.

--
Edit:

Evo, CONFIG_MULTIUSER mora biti omogočen. Vidiš ga pod menuconfig -> General setup -> Configure standard kernel features (expert users) -> Multiple users, groups and capabilities support

Če je omogočeno, potem se mi pa ne sanja več kaj bi lahko te zajebavalo.

Zgodovina sprememb…

  • spremenilo: diuriz ()

čuhalev ::

Aha, hvala, še nisem poskusil, vendar kako ti je uspelo to ugotoviti? Sprememb je kar nekaj in da vmes najdeš takšno ... čast in slavo. :D

Sem včeraj primerjal defconfig za 3.19 in 4.1, a sta oba enaka.

Zgodovina sprememb…

  • spremenil: čuhalev ()

MrStein ::

CONFIG_MULTIUSER je po defaultu Y, zanimivo, če ti je izklopilo.
Motiti se je človeško.
Motiti se pogosto je neumno.
Vztrajati pri zmoti je... oh, pozdravljen!

čuhalev ::

Je, je logično ker uporabljam allnoconfig.


Vredno ogleda ...

TemaSporočilaOglediZadnje sporočilo
TemaSporočilaOglediZadnje sporočilo
»

Izšel Linux 4.0

Oddelek: Novice / Operacijski sistemi
2210658 (6656) hojnikb
»

Naslednje Linuxovo jedro bo 4.0

Oddelek: Novice / Operacijski sistemi
55027 (3500) Rias Gremory
»

Izšel Linux 3.8

Oddelek: Novice / Operacijski sistemi
215411 (3291) Bistri007
»

Izšel Linux 3.6

Oddelek: Novice / Operacijski sistemi
112818 (1758) SasoS
»

Odkrit razlog za večjo porabo energije v novem Linuxovem jedru (strani: 1 2 )

Oddelek: Novice / Operacijski sistemi
7315810 (11172) MrStein

Več podobnih tem